<title>รายการสัญญาทั้งหมด</title>

<body onLoad="begintimer()">
    <script language="">
        var limit="00:4"
        if (document.images){
            var parselimit=limit.split(":")
            parselimit=parselimit[0]*60+parselimit[1]*1
        }
        function begintimer(){
            if (!document.images)
            return
            if (parselimit==1)
                // เหตุการณ์ที่ต้องการให้เกิดขึ้น
                // window.location='page.php'; ถ้าต้องการให้กระโดดไปยัง Page อื่น
                frmTest.submit();
            else{
                parselimit-=1
                curmin=Math.floor(parselimit/60)
                cursec=parselimit%60
            if (curmin!=0)
                curtime="เวลาที่เหลือ <font color=red> "+curmin+" </font>นาที กับ <font color=red>"+cursec+" </font>วินาที "
            else
            if(cursec==0)
            {
                // alert('หมดเวลาแล้วจ้า');
            }
            else
            {
                curtime="<center><h3>กำลังเชื่อมต่อข้อมูล <br><font color=red>"+cursec+" </font></h3></center>"
            }
                document.getElementById('dplay').innerHTML = curtime;
                setTimeout("begintimer()",1000)
            }
        }
        //-->
    </script>

    <div id=dplay ></div>
    <form name="frmTest" action="index_oneline.php" method="post">
        <input type="text" name="lineid" id="" value="Ue7755e5ad9b0b66baf75a8b756f2850f" hidden>
        <!-- <h1 id="userId"></h1> -->
        <!-- <div id="userId">

        </div> -->


    </form>

    <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
    <script charset="utf-8" src="https://static.line-scdn.net/liff/edge/2/sdk.js"></script>
    <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
    <!-- <script src="index_linemd1.js"></script> -->
    <Script>
      const btn = document.getElementById('btn');
      const liffId = '1656372900-VM6wDmam';
      let userId = '';

      function main(){
          liff.init({liffId: liffId});
          liff.ready.then(() => {
              if(!liff.isLoggedIn()){
                  liff.login();
              }
          
              liff.getProfile().then(profile => {
                  console.log(profile);
                  console.log(profile.userId);
                  console.log(profile.displayName);
                  console.log(profile.pictureUrl);
                //   document.getElementById("userId").append(profile.userId);
                document.getElementById("userId").value = profile.userId;
              })
          });
      }
      main()
    </Script>

</body>

<?php
    // if (isset($_POST['lineid'])) {

    //     echo "dd";

    // }
    // else {
    // ><
    // }

?>